
QGIS Application - Bug report #15960

Installation / Building fails: qgis/python/qgis/core/__init__.py

2016-12-08 05:31 AM - Gaelic Miko

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23876

Description

Here are the last lines of output:

-- Installing: /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/requests/certs.py

-- Installing: /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/requests/cacert.pem

-- Installing: /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/requests/auth.py

-- Installing: /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/requests/api.py

-- Installing: /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/requests/adapters.py

-- Installing: /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/requests/__init__.py

-- Installing: /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/qgis/testing/__init__.py

-- Installing: /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/qgis/testing/mocked.py

Compiling /tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/qgis/core/__init__.py ...

  File "/tmp/yaourt-tmp-gaelic/aur-qgis-git/pkg/qgis-git/usr/share/qgis/python/qgis/core/__init__.py", line 228

    def fromFunction(description, function, *args, on_finished=None, flags=QgsTask.AllFlags, **kwargs):

                                                             ^

SyntaxError: invalid syntax

History

#1 - 2016-12-13 02:50 AM - Gaelic Miko

- Status changed from Open to Closed

Accidentally I was using python2 to compile the files during installation. Consider it as fixed.

#2 - 2017-09-22 09:56 AM - Jürgen Fischer

- Category set to Unknown
